Name: adesklets
Version: 0.6.1
Url: http://adesklets.sf.net/
Summary: adesklets is an interactive Imlib2 console for the X Window System
Packager: Eugene Ostapets <eostapets@altlinux.ru>
Release: alt2.1
Group: Graphical desktop/Other
License: GPL

Source: %name-%version.tar.bz2
Patch1: %name-unresolved.patch
Patch2: %name-perl-altvendor.patch
Patch3: %name-python-altvendor.patch

# Automatically added by buildreq on Mon Nov 13 2006
BuildRequires: flex fontconfig-devel imlib2-devel libX11-devel libncurses-devel libreadline-devel perl-devel python-dev python-modules-encodings

%description
`adesklets' is an interactive Imlib2 console for the X Window System. It
provides to scripted languages a clean and simple way to write great looking,
mildly interactive desktop integrated graphic applets (aka "desklets").

It can also be used as a command line oriented graphic editor, a bit similar to
ImageMagick, but with different functionalities.

%package -n perl-%name
Summary: perl bindings for adesklets
Requires: %name = %version
Group: Development/Perl

%description -n perl-%name
perl bindings for adesklets

%package -n python-module-%name
Summary: python bindings for adesklets
Requires: %name = %version
Group: Development/Python

%description -n python-module-%name
%__python bindings for adesklets

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
sed -i -e '/^install/ { s,@SHELL@ ,,g }' doc/Makefile.in

%build
%__autoreconf -fisv
%configure
%make

%install
%make DESTDIR=%buildroot install

%files
%_bindir/*
%_man1dir/*
%_infodir/*
%dir %_datadir/%name
%_datadir/%name/*

%files -n perl-%name
%perl_vendor_privlib/*
%perl_vendor_man3dir/*

%files -n python-module-%name -f INSTALLED_FILES
%changelog
* Thu Feb 14 2008 Grigory Batalov <bga@altlinux.ru> 0.6.1-alt2.1
- Rebuilt with python-2.5.

* Thu Feb 14 2008 Grigory Batalov <bga@altlinux.ru> 0.6.1-alt2
- Remove redundant @SHELL@ call from doc/Makefile.in

* Sun Nov 12 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.6.1-alt1
- first build

